"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const ApiServer_1 = require("./api/ApiServer");
class ApiApp {
    constructor(appContainer) {
        this.apiServer = appContainer.get(ApiServer_1.ApiServer);
        this.appContainer = appContainer;
    }
    async initialiseControllers(controllersPath) {
        await this.apiServer.discoverAndBuildRoutes(controllersPath, this.appContainer);
    }
}
exports.ApiApp = ApiApp;
//# sourceMappingURL=ApiApp.js.map