import "reflect-metadata";
import { ApiServer } from "./api/ApiServer";
import { Container } from "inversify";
export declare abstract class ApiApp {
    protected readonly apiServer: ApiServer;
    protected readonly appContainer: Container;
    constructor(appContainer: Container);
    initialiseControllers(controllersPath: string): Promise<void>;
}
